package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 采购计划对象 cmc_procure_plan
 * 
 * @author cmc
 * @date 2024-09-18
 */
public class CmcProcurePlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 采购计划id */
    private Integer procurePlanId;

    /** 采购申请id */
    @Excel(name = "采购申请id")
    private String procureApplyId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String series;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 参考单价 */
    @Excel(name = "参考单价")
    private BigDecimal price;

    /** 数量 */
    @Excel(name = "数量")
    private Double num;

    /** 总价 */
    @Excel(name = "总价")
    private BigDecimal amount;

    /** 购买方式 */
    @Excel(name = "购买方式")
    private String procureWay;

    /** 用途 */
    @Excel(name = "用途")
    private String usage;

    public void setProcurePlanId(Integer procurePlanId) 
    {
        this.procurePlanId = procurePlanId;
    }

    public Integer getProcurePlanId() 
    {
        return procurePlanId;
    }
    public void setProcureApplyId(String procureApplyId) 
    {
        this.procureApplyId = procureApplyId;
    }

    public String getProcureApplyId() 
    {
        return procureApplyId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSeries(String series) 
    {
        this.series = series;
    }

    public String getSeries() 
    {
        return series;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setNum(Double num) 
    {
        this.num = num;
    }

    public Double getNum() 
    {
        return num;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setProcureWay(String procureWay) 
    {
        this.procureWay = procureWay;
    }

    public String getProcureWay() 
    {
        return procureWay;
    }
    public void setUsage(String usage) 
    {
        this.usage = usage;
    }

    public String getUsage() 
    {
        return usage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("procurePlanId", getProcurePlanId())
            .append("procureApplyId", getProcureApplyId())
            .append("name", getName())
            .append("series", getSeries())
            .append("unit", getUnit())
            .append("price", getPrice())
            .append("num", getNum())
            .append("amount", getAmount())
            .append("procureWay", getProcureWay())
            .append("usage", getUsage())
            .append("remark", getRemark())
            .toString();
    }
}
